@echo off
rem POCO C++ Libraries - CMake Build Script
rem Usage: build_cmake [Release|Debug] [additional cmake options...]

setlocal
set BUILD_TYPE=%1
if "%BUILD_TYPE%"=="" set BUILD_TYPE=Release
shift

cmake -S. -Bcmake-build -DCMAKE_BUILD_TYPE=%BUILD_TYPE% %*
cmake --build cmake-build --config %BUILD_TYPE% --parallel
